System.Web 2.0.0.0 System.Configuration.ConfigurationElementCollection System.Configuration.ConfigurationCollection(typeof(System.Web.Configuration.AuthorizationRule), AddItemName="allow,deny", CollectionType=System.Configuration.ConfigurationElementCollectionType.BasicMapAlternate)

The type allows access to the elements of the authorization section collection.

Represents a collection of objects. This class cannot be inherited.

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Void ``

  The collection must not already contain the object you are adding.

  Adds a object to the collection.

  The object to add to the collection. 2.0.0.0
- Method
  System.Void

  This method inserts a clear directive into the appropriate section of the configuration file to clear all references to elements defined in a higher-level configuration file. All elements defined in the appropriate section of the current configuration file are removed.

  Removes all objects from the collection.

  2.0.0.0
- Property
  System.Configuration.ConfigurationElementCollectionType To be added. To be added.

  Gets the type of this .

  2.0.0.0
- Method
  System.Configuration.ConfigurationElement To be added.

  Creates a new .

  A new .

  2.0.0.0
- Method
  System.Configuration.ConfigurationElement `` To be added.

  Creates a new object.

  A new .

  Name of the to be created. 2.0.0.0
- Property
  System.String To be added. To be added.

  The name used to identify this collection of elements in the configuration file.

  2.0.0.0
- Method
  System.Web.Configuration.AuthorizationRule `` To be added.

  Gets the at the specified index.

  The at the specified index.

  The index. 2.0.0.0
- Method
  System.Object `` To be added.

  Gets the element key for a specified .

  The that acts as the key for the specified .

  The whose key is returned. 2.0.0.0
- Method
  System.Int32 `` To be added.

  Gets the collection index of the specified object.

  The index of the specified object.

  The object whose index is returned. 2.0.0.0
- Method
  System.Boolean `` To be added.

  Verifies that the specified name is allowed.

  true if the name is allowed; otherwise, false.

  The element name to check. 2.0.0.0
- Property
  System.Web.Configuration.AuthorizationRule `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void ``

  This method inserts a remove element into the appropriate section of the configuration file for any element defined in a higher-level configuration file. If the element is defined in the appropriate section of the current configuration file, its entry is removed from the configuration file. The object to remove must exist in the collection.

  Removes a object from the collection.

  The object to remove. 2.0.0.0
- Method
  System.Void ``

  This method inserts a remove element into the appropriate section of the configuration file for any element defined in a higher-level configuration file. If the element is defined in the appropriate section of the current configuration file, its entry is removed from the configuration file. The object to remove must exist in the collection.

  Removes a object from the collection at the specified index.

  The index location of the to remove. 2.0.0.0
- Method
  System.Void `` `` To be added.

  Adds the specified object to the collection at the specified index.

  The index location at which to add the specified object. The object to be added. 2.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 2.0.0.0